Agents
Download Artifact
Download an artifact by path. `.agent/` and `.user/` paths do not require chatId; chat-scoped paths require chatId.
Download an artifact by path. .agent/ and .user/ paths do not require chatId; chat-scoped paths require chatId.
X-API-Key<token>
Use X-API-Key: .
In: header
Path Parameters
id*string
Query Parameters
path*string
chatId?string
Response Body
application/octet-stream
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/agents/string/artifacts/download?path=string""string"{
"cause": {
"code": "api/invalid-json",
"detail": "string"
},
"message": "The request body is not valid JSON"
}{
"cause": {
"code": "auth/jwt-invalid",
"detail": "malformed"
},
"message": "Token verification failed"
}{
"cause": {
"code": "api/no-active-team",
"detail": "You must have an active team. Please select a team to continue."
},
"message": "No active team"
}{
"cause": {
"code": "agents/artifact-not-found",
"detail": "The requested artifact was not found."
},
"message": "Artifact not found"
}{
"cause": {
"code": "api/unsupported-media-type",
"detail": "GET requests cannot have a content type header"
},
"message": "Unsupported Media Type"
}